Table of Contents

Class: HTTPClient | Twisted-0.19.0/twisted/protocols/http.py
--- | ---
### A client for HTTP 1.0 Notes: You probably want to send a `Host` header with the name of the site you're connecting to, in order to not break name based virtual hosting.
Base Classes |
--- | ---
basic.LineReceiver
Methods |
--- | ---
connectionLost connectionMade endHeaders lineReceived rawDataReceived sendCommand sendHeader
| connectionLost
    connectionLost ( self )
| connectionMade
    connectionMade ( self )
| endHeaders
    endHeaders ( self )
| lineReceived
    lineReceived ( self,  line )
| rawDataReceived
    rawDataReceived ( self,  data )
| sendCommand
    sendCommand (
            self,
            command,
            path,
            )
| sendHeader
    sendHeader (
            self,
            name,
            value,
            )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0